use ExtUtils::MakeMaker;
use strict;
use warnings;


# check configuration
my $home = $ENV{"HOME"};
$ENV{"PATH"} = $ENV{"PATH"} . ":/usr/local/bin:$home/bin:.:..:../..";
my $inc = `kcutilmgr conf -i 2>/dev/null`;
chomp($inc);
if (length($inc) < 2) {
    $inc = "-I/usr/local/include -I$home/include -I.";
}
my $libs = `kcutilmgr conf -l 2>/dev/null`;
chomp($libs);
if(length($libs) < 2){
    $libs = "-L/usr/local/lib -L$home/lib -L." .
        " -lkyotocabinet -lz -lstdc++ -lrt -lpthread -lm -lc";
}


# Create Makefile
WriteMakefile(
    'NAME'              => 'KyotoCabinet',
    'VERSION_FROM'      => 'KyotoCabinet.pm',
    'INC'               => $inc,
    'LIBS'              => $libs,
    'clean'             => { FILES => "casket* *~ *.tmp *.kcss *.tar *.tar.gz hoge moge" },
    );
